@import '@fontsource/fira-mono';
@import './prism.css';

:root {
	--font-body: Arial, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu,
		Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
	--font-mono: 'Fira Mono', monospace;
	--color-bg-0: rgb(202, 216, 228);
	--color-bg-1: hsl(209, 36%, 86%);
	--color-bg-2: hsl(224, 44%, 95%);
	--color-theme-1: #ff00ff;
	--color-theme-2: #40f9ff;
	--color-text: rgba(0, 0, 0, 0.7);
	--column-width: 42rem;
	--column-margin-top: 4rem;
	font-family: var(--font-body);
	color: var(--color-text);
}

body {
	margin: 0;
	background-attachment: fixed;
	background-color: var(--color-bg-1);
	background-image: radial-gradient(
			50% 50% at 50% 50%,
			rgba(255, 255, 255, 0.75) 0%,
			rgba(255, 255, 255, 0) 100%
		),
		linear-gradient(180deg, var(--color-bg-0) 0%, var(--color-bg-1) 15%, var(--color-bg-2) 50%);
}

a {
	color: var(--color-theme-1);
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

pre {
	font-size: 16px;
	font-family: var(--font-mono);
	background-color: rgba(255, 255, 255, 0.45);
	border-radius: 3px;
	box-shadow: 2px 2px 6px rgb(255 255 255 / 25%);
	padding: 0.5em;
	overflow-x: auto;
	color: var(--color-text);
}

blockquote {
	font-size: 16px;
	background-color: rgba(255, 255, 255, 0.45);
	border-radius: 3px;
	box-shadow: 2px 2px 16px rgba(255, 0, 255, 0.3);
	padding: 2em;
	overflow-x: auto;
	color: var(--color-text);
}

.text-column {
	display: flex;
	max-width: 48rem;
	flex: 0.6;
	flex-direction: column;
	justify-content: center;
	margin: 0 auto;
}

.help {
	font-size: small;
}

#help-button::before {
	content: '?';
	display: inline-block;
	font-size: 0.8em;
	font-weight: 900;
	width: 1em;
	height: 1em;
	padding: 0.2em;
	line-height: 1;
	border: 1.5px solid var(--color-text);
	border-radius: 50%;
	text-align: center;
	margin: 0 0.5em 0 0;
	position: relative;
	top: -0.05em;
}
button {
	background: #e2e8f0;
	color: #50928c;
	border: unset;
	border-radius: 6px;
	padding: 0.25rem 0.25rem;
	cursor: pointer;
	word-break: break-all;
}
button:hover {
	background: #cbd5e1;
	color: #475569;
}
button:focus {
	background: #94a3b8;
	color: #f1f5f9;
}

button {
	font-size: inherit;
	font-family: inherit;
}

button:focus:not(:focus-visible) {
	outline: none;
}

button:disabled {
	background: #94a3b8;
	color: #647775;
}

.hit-me {
	background: #f0f;
	color: #27cfc1;
	font-weight: bolder;
}

table {
	width: 100%;
}

img {
	width: 100%;
}

select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	/* Add some styling */

	display: block;
	max-width: 320px;
	height: 50px;
	margin: 5px 0px;
	padding: 0px 24px;
	font-size: 16px;
	line-height: 1.75;
	color: #333;
	background-color: #ffffff;
	background-image: none;
	border: 1px solid #cccccc;
	-ms-word-break: normal;
	word-break: normal;
}
